Subject: Re: bug#60220: 29.0.60; macOS 13.1 crash shortly after starting Emacs

From: Andrea Corallo <[email-masked]>
Date: Wed, 04 Jan 2023 15:51:17 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Aaron Jensen <[email-masked]>
>> Date: Thu, 29 Dec 2022 19:03:47 -0500
>> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
>> 
>> > > Could it by that the dynamic linker is being invoked recursively? That
>> > > is, while something is being dynamically linked, a SIGALRM or equivalent
>> > > arrives, some idle timer code is run, and the dynamic linker is invoked
>> > > before the outer linker finishes? I imagine that might put some dynamic
>> > > linkers into a tizzy.
>> >
>> >
>> > I have no idea, would we see that in the trace at all? Here are two
>> > more crashes: https://gist.github.com/aaronjensen/f7c46857ea93c858f46a639d8880f290
>> >
>> > I have been able to reproduce it just now pretty easily, but I still
>> > can't reproduce it with the debugger attached.
>> 
>> Would it make sense to use block_atimers while loading native lisp? If
>> that's a workable thing and you can send me a patch I can try it out.
>
> Andrea, can you suggest a patch along these lines for Aaron to try?
>
> Thanks.

Hi Eli,

sorry I'm traveling with sporadic access to the PC till next week.  If
the issue is still present I'll work on it next week.

Best Regards

  Andrea